import org.junit.Assert;
import org.junit.jupiter.api.Test;
import org.openqa.selenium.By;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;
import org.openqa.selenium.chrome.ChromeDriver;
import org.openqa.selenium.support.ui.ExpectedConditions;

public class SafewayLogin {

    @Test
    public void testSafewayLogin() throws Exception{

        System.setProperty("webdriver.chrome.driver", "/usr/local/bin/ChromeDriver");
        WebDriver driver = new ChromeDriver();
        driver.get("https://www.safeway.com/");
        Thread.sleep(1000);
        //driver.switchTo().alert().dismiss();
        driver.findElement(By.className("menu-nav__profile-button")).click();
        Thread.sleep(5000);
        driver.findElement(By.id("sign-in-modal-link")).click();
        Thread.sleep(2000);
        driver.findElement(By.id("btnSignIn")).click();
        Thread.sleep(5000);
        String expectedEmailErrorMessage = "Please enter your email address.";
        String expectedPwdErrorMessage = "Please enter a password.";
        String actualEmailErrorMessage = driver.findElement(By.id("errorMsgEmail")).getText();
        String actualPwdErrorMessage = driver.findElement(By.id("errorMsgPwd")).getText();
        Assert.assertEquals(expectedEmailErrorMessage, actualEmailErrorMessage);
        Assert.assertEquals(expectedPwdErrorMessage, actualPwdErrorMessage);
        driver.close();
        driver.quit();

    }
}
